## qtbase-opensource-src 5.6.1+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.6.1+dfsg-3ubuntu6~4) yakkety; urgency=medium

  [ Dmitry Shachnev ]
  * Mark allow_native_menubar.diff as applied upstream.
  * debian/patches/dbustray_cleanup_notifier.diff:
    - Fix a bug in QSystemTrayIcon code where the notifier was not cleaned
      up and the callback was called multiple times.

  [ Timo Jyrinki ]
  * debian/patches/Fix-some-QtDBus-crashes-during-application-destructi.patch
    debian/patches/Merge-the-QDBusMetaType-s-custom-information-to-QDBu.patch
    debian/patches/Make-the-bearer-QFactoryLoader-a-member-variable-not.patch:
    - More D-Bus fixes (LP: #1618590)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 28 Sep 2016 18:14:12 +0000

qtbase-opensource-src (5.6.1+dfsg-3ubuntu5~1) yakkety; urgency=medium

  * debian/patches/dbusmenu-Don-t-leave-dangling-pointers-when-menus-ar.patch:
    - Fix a crasher in qdbusmenu code (LP: #1620937)
  * debian/patches/QMenuBar-Get-rid-of-QMenuBarPrivate-nativeMenuBar.patch:
    - Improve menu bar code, but for now allow_native_menubar.diff is still 
      needed.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 16 Sep 2016 05:08:05 +0000

qtbase-opensource-src (5.6.1+dfsg-3ubuntu4~6) yakkety; urgency=medium

  [ Timo Jyrinki ]
  * debian/patches/Make-QDBusConnectionPrivate-relaySignal-be-called-in.patch:
    - Antoher DBus fix needed for telephony-service (LP: #1620945)
  * debian/patches/Fix-gcc-Wsuggest-override-warning-on-Q_OBJECT.patch
    debian/patches/Fix-the-GCC-version-supporting-Wsuggest-override.patch:
    - Fix GCC -Wsuggest-override warning on Q_OBJECT (LP: #1619483)
  * debian/patches/Fix-parsing-of-tzfile-5-POSIX-rule-zone-names-with-b.patch:
    - Fix parsing of rule zone names for certain time zones (LP: #1622089)
  * debian/patches/Avoid-artifacts-when-hiding-or-closing-a-QOpenGLWidg.patch
    debian/patches/QtWidgets-Send-show-hide-event-to-children-on-restor.patch:
    - Fix event sending to children, hurting Oxide-Qt use on desktop
      (LP: #1613670)
  * Disable QStaticText tests for now (QTBUG-55653)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 12 Sep 2016 05:42:31 +0000

qtbase-opensource-src (5.6.1+dfsg-3ubuntu3~3) yakkety; urgency=medium

  [ Timo Jyrinki ]
  * debian/patches/QDBusServer-delay-processing-of-D-Bus-messages.patch:
    - Fix DBus message processing (LP: #1608822) 
  * debian/patches/xcb-Send-also-text-plain-when-a-text-uri-list-is-dro.patch:
    - Fix drag and drop from Qt to skype (LP: #1586857)
  * debian/patches/qt5-qmake-arm-linux-gnueabihf:
    - Support cross-compilation inside chroot using pkg-config (LP: #1580981)
  * debian/patches/Make-sure-connection-is-not-null-before-using-it.patch:
    - Fix unity8 crasher (LP: #1612309)
  * Update symbols with pkgkde-mark-qt5-private-symbols.
  * Disable printsupport tests that started failing but only on builders, 
    possibly with new glibc. See LP: #1612767 for details.

  [ Dmitry Shachnev ]
  * Backport some upstream patches to add support for D-Bus global menus,
    and improve support for D-Bus tray icons (LP: #1612767):
    + dbustray_use_separate_connections.diff (fix for multiple tray icons)
    + dbusmenu_exclusive_groups.diff (fix for radio actions)
    + qplatformmenubar_createmenu.diff (adding a method to QPlatformMenuBar)
    + dbusmenu_global_menu.diff (add support for D-Bus global menus)
  * Add a distro patch to stop setting AA_DontUseNativeMenuBar unconditionally
    (allow_native_menubar.diff): we want this attribute to be false by default,
    but applications should be able to override it.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Sat, 03 Sep 2016 13:58:20 +0000

qtbase-opensource-src (5.6.1+dfsg-3ubuntu2~1) yakkety; urgency=medium

  * Don't use gold linker on powerpc. (LP: #1611227)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 09 Aug 2016 06:29:25 +0000

qtbase-opensource-src (5.6.1+dfsg-3ubuntu1~4) yakkety; urgency=medium

  * New upstream release. 
  * Migrate symbols using the script to the Qt_5 versioning scheme.
  * Update symbols and bump symbols abi.
  * Rebase and refresh enable-tests.patch.
  * Rebase qnam-ubuntu-fix6.patch.
  * Mark private symbols.
  * Drop xcb_fix_parent_screen_of_embedded_windows.patch:
    - Fixed differently in Qt 5.6.
  * Tests enablement for Qt 5.6.
  * Add arm64 to gles archs.
  * Rebase patches for 5.6.1, and drop the following:
    - Blacklist-Mali-T760-Mali-T720-from-supporting-BGRA.patch: upstreamed
    - debian/patches/detect-indicator-application.diff: upstreamed
    - debian/patches/fix-duplicate-qnam-finished.patch: folded in to the 
      remaining parts of qnam-ubuntu-fix6.patch, half of which were upstreamed 
      in Qt 5.6.1
  * Skip a test related to LP: #1603991
  * debian/patches/color-fonts.patch,
    debian/patches/fix-scalable-bitmap-factor-caching.patch:
    - Add patches required for color font rendering (LP: #1594851)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 18 Jan 2016 10:06:17 +0000

qtbase-opensource-src (5.6.1+dfsg-3) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make libqtcore5a break libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~), pointed
    out by Scott Kitterman.

  [ Dmitry Shachnev ]
  * Move qt5-default into libdevel section (like qtchooser itself; closes:
    #827659).
  * Move mesa-utils from Depends to Recommends (closes: #827896).
  * Add a (temporary) patch to fix the QProcessPrivate::createPipe issue on
    GNU/kFreeBSD (closes: #827935).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 23 Jun 2016 21:57:01 +0300

qtbase-opensource-src (5.6.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 09:20:16 -0300

qtbase-opensource-src (5.6.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop the following patches, applied upstream:
    - dbusmenu_fixes.diff


=== debian/control ===
Source: qtbase-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               freetds-dev,
               gdb,
               libasound2-dev [linux-any],
               libatspi2.0-dev,
               libcups2-dev,
               libdbus-1-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgbm-dev [linux-any kfreebsd-any],
               libgl1-mesa-dev | libgl-dev,
               libgles2-mesa-dev | libgles2-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk2.0-dev,
               libharfbuzz-dev,
               libicu-dev,
               libinput-dev [linux-any],
               libjpeg-dev,
               libmtdev-dev [linux-any],
               libmysqlclient-dev,
               libpcre3-dev,
               libpng-dev,
               libpq-dev,
               libproxy-dev,
               libpulse-dev,
               libsqlite3-dev,
               libssl-dev,
               libudev-dev [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxext-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               pkg-kde-tools (>= 0.15.17),
               publicsuffix,
               unixodbc-dev,
               xvfb,
               zlib1g-dev
Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.0~),
                     qttools5-dev-tools (>= 5.6.0~)
Build-Conflicts: libmariadbclient-dev
Standards-Version: 3.9.8
Homepage: http://qt-project.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtbase.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtbase.git

Package: libqt5core5a
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Provides: qtbase-abi-5-6-1
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qttranslations5-l10n
Suggests: libthai0
Breaks: libqt5core5 (<< 5.2.0+dfsg~), libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~)
Replaces: libqt5core5 (<< 5.2.0+dfsg~)
Description: Qt 5 core module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtCore module contains core non-GUI functionality.

Package: libqt5gui5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt5svg5, mesa-utils
Breaks: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
        libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
Replaces: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
          libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
Suggests: libqt5libqgtk2, qt5-image-formats-plugins, qtwayland5
Description: Qt 5 GUI module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.

Package: libqt5libqgtk2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5gui5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt5gui5 (<< 5.4.1+dfsg-3~)
Replaces: libqt5gui5 (<< 5.4.1+dfsg-3~)
Description: Qt 5 GTK2 platform theme
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the GTK2 platform theme, which makes Qt use
 native icon themes, fonts, and dialogs on GTK-based environments.

Package: libqt5network5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 network module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtNetwork module offers classes that allow you to write TCP/IP clients and
 servers. It provides classes to make network programming easier and portable.

Package: libqt5opengl5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 OpenGL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: libqt5sql5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql
Description: Qt 5 SQL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSql module helps you provide seamless database integration to your Qt
 applications.

Package: libqt5sql5-mysql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 MySQL database driver
 This package contains the MySQL plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MySQL DB.

Package: libqt5sql5-odbc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 ODBC database driver
 This package contains the ODBC plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access an
 ODBC DB.

Package: libqt5sql5-psql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 PostgreSQL database driver
 This package contains the PostgreSQL plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 PostgreSQL DB.

Package: libqt5sql5-sqlite
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 SQLite 3 database driver
 This package contains the SQLite 3 plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access an
 SQLite 3 DB.

Package: libqt5sql5-tds
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 FreeTDS database driver
 This package contains the FreeTDS plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MS SQL or Sybase SQL server.

Package: libqt5xml5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 XML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtXml module provides a stream reader and writer for XML documents,
 and C++ implementations of SAX and DOM.

Package: libqt5dbus5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 D-Bus module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDBus module is a Unix-only library that you can use to make Inter-Process
 Communication using the D-Bus protocol.
 .
 Applications using the QtDBus module can provide services to other, remote
 applications by exporting objects, as well as use services exported by those
 applications by placing calls and accessing properties.

Package: libqt5test5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 test module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtTest module provides classes for unit testing Qt applications and
 libraries.

Package: libqt5concurrent5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 concurrent module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtConcurrent module contains functionality to support concurrent execution
 of program code.

Package: libqt5widgets5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 widgets module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtWidgets module extends QtGui with C++ widget functionality.

Package: libqt5printsupport5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libcups2
Description: Qt 5 print support module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtPrintSupport module provides classes to make printing easier and
 portable.

Package: qtbase5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
         libgles2-mesa-dev | libgles2-dev,
         libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
         libqt5concurrent5 (= ${binary:Version}),
         libqt5core5a (= ${binary:Version}),
         libqt5dbus5 (= ${binary:Version}),
         libqt5gui5 (= ${binary:Version}),
         libqt5network5 (= ${binary:Version}),
         libqt5printsupport5 (= ${binary:Version}),
         libqt5sql5 (= ${binary:Version}),
         libqt5test5 (= ${binary:Version}),
         libqt5widgets5 (= ${binary:Version}),
         libqt5xml5 (= ${binary:Version}),
         libxext-dev,
         qt5-qmake (= ${binary:Version}),
         qtbase5-dev-tools (= ${binary:Version}),
         qtchooser,
         ${misc:Depends}
Recommends: libqt5opengl5-dev (= ${binary:Version})
Suggests: libegl1-mesa-dev,
          libgl1-mesa-dev,
          libmysqlclient-dev,
          libpq-dev,
          libsqlite3-dev,
          unixodbc-dev
Description: Qt 5 base development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications.
 .
 If you are interested in packaging Qt 5 stuff please take a look at
 http://pkg-kde.alioth.debian.org/packagingqtbasedstuff.html

Package: qtbase5-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libinput-dev [linux-any],
         libxkbcommon-dev,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

export PATH := $(PATH):$(shell pwd)/bin
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# Upstream changelog
upstream_changes := dist/changes-$(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d '-' | sed -e 's/+dfsg//' | sed -e 's/+git.*//')
# Distribution vendor
vendor := $(shell dpkg-vendor --query Vendor)

# To easier the files installation according to OSes and CPUs, we create three
# kinds of install files: foo.install-common, foo.install-$DEB_HOST_ARCH_CPU and
# foo.install-$DEB_HOST_ARCH_OS. In this case we can fine-tune what we install.
#
# Note that if any foo.install-* file exists and foo.install exist too, the
# later will get overwritten.
#
# I've opened a bug in debhelper to allow this:
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=703201

# Retrieve packages that have a .install-common file
pkgs_with_common = $(patsubst debian/%.install-common,%,$(wildcard debian/*.install-common))
# Retrieve packages that have a .install-$DEB_HOST_ARCH_CPU file
pkgs_with_arch = $(patsubst debian/%.install-$(DEB_HOST_ARCH_CPU),%,$(wildcard debian/*.install-$(DEB_HOST_ARCH_CPU)))
# Retrieve packages that have a .install-$DEB_HOST_ARCH_OS file
pkgs_with_os = $(patsubst debian/%.install-$(DEB_HOST_ARCH_OS),%,$(wildcard debian/*.install-$(DEB_HOST_ARCH_OS)))


ifneq (,$(filter libqt5sql5-ibase,$(shell dh_listpackages)))
	extra_configure_opts += -plugin-sql-ibase
else
	extra_configure_opts += -no-sql-ibase
endif

no_pch_architectures := arm64
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(no_pch_architectures)))
	extra_configure_opts += -no-pch
endif

gles2_architectures := armel armhf arm64
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
	extra_configure_opts += -opengl es2
else
	extra_configure_opts += -opengl desktop
endif

ifneq ($(DEB_HOST_ARCH_OS),$(findstring $(DEB_HOST_ARCH_OS), linux kfreebsd))
	extra_configure_opts += -no-eglfs
endif

# Compile without sse2 support on i386
# Do not use pre compiled headers in order to be able to rebuild the gui
# submodule.
ifeq ($(DEB_HOST_ARCH_CPU),i386)
	cpu_opt = -no-sse2 -no-pch
endif

# Run tests only on archs known to pass in the past
testrun_architectures := amd64 armhf i386

nogoldlinker_architectures := powerpc

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(nogoldlinker_architectures)))
	extra_configure_opts += -no-use-gold-linker
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ifneq (,$(filter $(DEB_HOST_ARCH),alpha ia64 mips64 mips64el arm64))
	platform_arg = linux-g++
  else ifeq ($(DEB_HOST_ARCH_BITS),64)
	platform_arg = linux-g++-64
  else
	platform_arg = linux-g++
  endif
else ifeq ($(DEB_HOST_ARCH_OS),hurd)
	platform_arg = hurd-g++
else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	platform_arg = gnukfreebsd-g++
else
	$(error Unknown qmake mkspec for $(DEB_HOST_ARCH_OS))
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NUMJOBS = 1
endif

%:
	dh $@ --parallel --with pkgkde_symbolshelper

x86_architectures := i386 amd64

override_dh_auto_configure:
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(x86_architectures)))
	MAKEFLAGS="-j$(NUMJOBS)" ./configure -v -confirm-license \
            -prefix "/usr" \
            -bindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin" \
            -libdir "/usr/lib/arm-linux-gnueabihf" \
            -docdir "/usr/share/qt5/doc" \
            -headerdir "/usr/include/arm-linux-gnueabihf/qt5" \
            -datadir "/usr/share/qt5" \
            -archdatadir "/usr/lib/arm-linux-gnueabihf/qt5" \
            -hostdatadir "/usr/share/qt5" \
            -plugindir "/usr/lib/arm-linux-gnueabihf/qt5/plugins" \
            -importdir "/usr/lib/arm-linux-gnueabihf/qt5/imports" \
            -translationdir "/usr/share/qt5/translations" \
            -hostdatadir "/usr/lib/arm-linux-gnueabihf/qt5" \
            -sysconfdir "/etc/xdg" \
            -examplesdir "/usr/lib/arm-linux-gnueabihf/qt5/examples" \
            -opensource \
            --no-dbus \
            --no-libjpeg \
            --no-glib \
            -platform linux-g++ \
            -qt-zlib \
            -no-rpath \
            -verbose \
            -optimized-qmake \
            -no-strip \
            -no-separate-debug-info \
            -qpa xcb \
            -xcb \
            -no-icu \
            -accessibility \
            -no-directfb \
            -no-sql-ibase -no-pch -no-opengl \
            -xplatform ubuntu-arm-gnueabihf-g++ || file $(CURDIR)/bin/qmake;
	mv $(CURDIR)/bin/qmake  $(CURDIR)/bin/qt5-qmake-arm-linux-gnueabihf
endif
	MAKEFLAGS="-j$(NUMJOBS)" ./configure -confirm-license \
	            -prefix "/usr" \
	            -bindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin" \
	            -libdir "/usr/lib/$(DEB_HOST_MULTIARCH)" \
	            -docdir "/usr/share/qt5/doc" \
	            -headerdir "/usr/include/$(DEB_HOST_MULTIARCH)/qt5" \
	            -datadir "/usr/share/qt5" \
	            -archdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -hostdatadir "/usr/share/qt5" \
	            -plugindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins" \
	            -importdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/imports" \
	            -translationdir "/usr/share/qt5/translations" \
	            -hostdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -sysconfdir "/etc/xdg" \
	            -examplesdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples" \
	            -opensource \
	            -plugin-sql-mysql \
	            -plugin-sql-odbc \
	            -plugin-sql-psql \
	            -plugin-sql-sqlite \
	            -no-sql-sqlite2 \
	            -plugin-sql-tds \
	            -system-sqlite \
	            -platform $(platform_arg) \
	            -system-harfbuzz \
	            -system-zlib \
	            -system-libpng \
	            -system-libjpeg \
	            -openssl \
	            -no-rpath \
	            -verbose \
	            -optimized-qmake \
	            -dbus-linked \
	            -no-strip \
	            -no-separate-debug-info \
	            -qpa xcb \
	            -xcb \
	            -glib \
	            -icu \
	            -accessibility \
	            -compile-examples \
	            -no-directfb \
	            -gstreamer 1.0 \
	            $(extra_configure_opts) \
	            $(cpu_opt)

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),$(testrun_architectures)))
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
		xvfb-run -a -s "-screen 0 640x480x24" make check QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib PATH=$(CURDIR)/bin:$(PATH) -k
endif
endif

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) confclean distclean

	# Extra stuff missed by confclean/distclean

	# Misc. files
	rm -f \
	  config.status \
	  config.tests/.qmake.cache \
	  examples/dbus/*/Makefile.* \
	  mkspecs/qconfig.pri \
	  src/corelib/global/qconfig.* \
	;

	# Misc. directories
	rm -rf \
	  doc-build/ \
	  doc/html/ \
	  doc/qch/ \
	  examples/tools/plugandpaint/plugins/ \
	  examples/tools/styleplugin/styles/ \
	  lib/ \
	  plugins/ \
	;

	# Leftover dirs
        # Ubuntu diff: tests enablement related
	find -depth -type d \( -false \
	  -o -name debug-shared \
	  -o -name debug-static \
	  -o -name \*.gch \
	  -o -name .moc\* \
	  -o -name .obj\* \

## qtbase-opensource-src 5.7.1%2Bdfsg

=== tests/auto/cmake/CMakeLists.txt ===

# This is an automatic test for the CMake configuration files.
# To run it manually,
# 1) mkdir build   # Create a build directory
# 2) cd build
# 3) cmake ..      # Run cmake on this directory.
# 4) ctest         # Run ctest
#
# The expected output is something like:
#
#       Start  1: test_use_modules_function
#  1/11 Test  #1: test_use_modules_function ........   Passed    3.36 sec
#       Start  2: test_wrap_cpp_and_resources
#  2/11 Test  #2: test_wrap_cpp_and_resources ......   Passed    1.41 sec
#       Start  3: test_dependent_modules
#  3/11 Test  #3: test_dependent_modules ...........   Passed    2.22 sec
#       Start  4: test_add_resource_options
#  4/11 Test  #4: test_add_resource_options ........   Passed    0.16 sec
#       Start  5: test_wrap_cpp_options
#  5/11 Test  #5: test_wrap_cpp_options ............   Passed    0.36 sec
#       Start  6: test_needsquoting_dirname
#  6/11 Test  #6: test_needsquoting_dirname ........   Passed    2.20 sec
#       Start  7: test_platform_defs_include
#  7/11 Test  #7: test_platform_defs_include .......   Passed    0.28 sec
#       Start  8: test_qtmainwin_library
#  8/11 Test  #8: test_qtmainwin_library ...........   Passed    1.27 sec
#       Start  9: test_dbus_module
#  9/11 Test  #9: test_dbus_module .................   Passed    3.46 sec
#       Start 10: test_multiple_find_package
# 10/11 Test #10: test_multiple_find_package .......   Passed    0.07 sec
#       Start 11: test_add_resources_delayed_file
# 11/11 Test #11: test_add_resources_delayed_file ..   Passed    0.38 sec
#
#
# Note that if Qt is not installed, or if it is installed to a
# non-standard prefix, the environment variable CMAKE_PREFIX_PATH
# needs to be set to the installation prefix or build prefix of Qt
# before running these tests.

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

if(NOT ${CMAKE_VERSION} VERSION_LESS 2.8.9)
    # Requires INCLUDE_DIRECTORIES target property in CMake 2.8.8
    # and POSITION_INDEPENDENT_CODE target property in 2.8.9
    if (NOT NO_GUI)
        expect_pass(test_use_modules_function)
    endif()
    expect_pass(test_umbrella_config)
else()
    message("CMake version older than 2.8.9 (Found ${CMAKE_VERSION}). Not running test \"test_use_modules_function\" or \"test_umbrella_config\"")
endif()

expect_pass(test_wrap_cpp_and_resources)
if (NOT NO_WIDGETS)
    expect_pass(test_dependent_modules)
    expect_pass("test(needsquoting)dirname")
endif()
expect_fail(test_add_resource_options)
expect_fail(test_wrap_cpp_options)
expect_pass(test_platform_defs_include)
expect_pass(test_qtmainwin_library)

if (HAVE_NINJA)
    make_directory("${CMAKE_CURRENT_SOURCE_DIR}/test_QFINDTESTDATA/build")
    add_test(test_QFINDTESTDATA ${CMAKE_CTEST_COMMAND}
      --build-and-test
      "${CMAKE_CURRENT_SOURCE_DIR}/test_QFINDTESTDATA"
      # Build in a subdir of the source dir.
      # This causes Ninja to use relative paths.
      "${CMAKE_CURRENT_SOURCE_DIR}/test_QFINDTESTDATA/build"
      --build-generator Ninja
      --build-options "-DCMAKE_PREFIX_PATH=${CMAKE_PREFIX_PATH}"
    )
    add_test(NAME run_test_QFINDTESTDATA COMMAND sh -c "cd \"${CMAKE_SOURCE_DIR}/test_QFINDTESTDATA/build/tests\" && ./test_QFINDTESTDATA -v2")

    set_property(TEST run_test_QFINDTESTDATA
        PROPERTY DEPENDS test_QFINDTESTDATA
    )
endif()

if (NOT NO_DBUS)
    expect_pass(test_dbus_module)
endif()
expect_pass(test_multiple_find_package)
if (NOT WIN32 OR (WIN32 AND NOT CMAKE_VERSION VERSION_LESS 2.8.11))
    # Broken on windows on earlier CMake versions.
    # http://public.kitware.com/Bug/view.php?id=13392
    expect_pass(test_add_resources_delayed_file)
    expect_pass(test_add_binary_resources_delayed_file BINARY test_add_binary_resources_delayed_file)
endif()
expect_pass(test_private_includes)
expect_pass(test_testlib_definitions)
expect_pass(test_json_plugin_includes)

expect_fail(test_testlib_no_link_gui)
execute_process(COMMAND ${CMAKE_COMMAND} -E copy
    "${CMAKE_CURRENT_SOURCE_DIR}/test_testlib_definitions/main.cpp"
    "${CMAKE_CURRENT_BINARY_DIR}/failbuild/test_testlib_no_link_gui/test_testlib_no_link_gui/"
)

if (NOT NO_WIDGETS)
    expect_fail(test_testlib_no_link_widgets)
    execute_process(COMMAND ${CMAKE_COMMAND} -E copy
        "${CMAKE_CURRENT_SOURCE_DIR}/test_testlib_definitions/main.cpp"
        "${CMAKE_CURRENT_BINARY_DIR}/failbuild/test_testlib_no_link_widgets/test_testlib_no_link_widgets/"
    )
endif()

set(qt_module_includes
  Core QObject
  Network QHostInfo
  Sql QSqlError
  Test QTestEventList
  Xml QDomDocument
)

if (NOT NO_GUI)
  list(APPEND qt_module_includes
    Gui QImage
  )
endif()

if (NOT NO_WIDGETS)
  list(APPEND qt_module_includes
    Widgets QWidget
    OpenGL QGLBuffer
    PrintSupport QPrinter
  )
endif()

if (NOT NO_DBUS)
  list(APPEND qt_module_includes
    DBus QDBusMessage
  )
endif()

test_module_includes(
  ${qt_module_includes}
)
expect_pass(test_concurrent_module)
expect_pass(test_openglextensions_module)
if (QT_WITH_ANGLE OR (NOT WIN32 AND NOT APPLE AND NOT NO_EGL))
    expect_pass(test_egl_lib)
endif()
expect_pass(test_opengl_lib)

if (NOT CMAKE_VERSION VERSION_LESS 2.8.11 AND NOT NO_WIDGETS)
    expect_pass(test_interface)
endif()

if (NOT CMAKE_VERSION VERSION_LESS 2.8.12)
    expect_pass(test_interface_link_libraries)
    expect_pass(test_moc_macro_target)
endif()

=== debian/changelog ===
qtbase-opensource-src (5.7.1+dfsg-3+deb9u3) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2018-19872: A malformed PPM image causes a crash.
  * CVE-2020-17507: Buffer over-read in the XBM parser.

 -- Adrian Bunk <bunk@debian.org>  Sun, 20 Sep 2020 22:02:00 +0300

qtbase-opensource-src (5.7.1+dfsg-3+deb9u2) stretch-security; urgency=high

  * Backport fix for CVE-2020-0569: Do not load plugin from the CWD.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 30 Jan 2020 12:33:15 -0300

qtbase-opensource-src (5.7.1+dfsg-3+deb9u1) stretch-security; urgency=medium

  * Backport fixes for:
    - CVE-2018-15518: “double free or corruption” in QXmlStreamReader
    - CVE-2018-19873: QBmpHandler segfault on malformed BMP file
    - CVE-2018-19870: Check for QImage allocation failure in qgifhandler
  * Backport ensure_pixel_density_of_at_least_1.patch in order to fix VLC after
    it's security update (Closes: #907139).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 25 Jan 2019 11:11:01 -0300

qtbase-opensource-src (5.7.1+dfsg-3) unstable; urgency=medium

  * Backport upstream change to fix accessibility-related crashes
    (fix_accessibility_crash.diff; closes: #834750).
  * Backport upstream fix to make QGtk3Dialog not crash on Wayland
    (gtkdialogs_wayland.diff; closes: #850746).
  * Backport upstream change to stop unloading plugins in QPluginLoader
    and QFactoryLoader (stop_unloading_pluings.diff; closes: #845662).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 11 Jan 2017 18:14:40 +0300

qtbase-opensource-src (5.7.1+dfsg-2) unstable; urgency=medium

  * Backport upstream patch to fix build with gcc 6.3 and newer versions
    (gcc_6.3.diff; closes: #846996).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 25 Dec 2016 23:36:18 +0300

qtbase-opensource-src (5.7.1+dfsg-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream final release.
  * Refresh qsettings_XDG_CONFIG_DIRS.diff and qsettings_simplify_logic.diff.
  * Build with system libdouble-conversion library (closes: #845372).
  * Convert to automatic dbgsym packages.
  * Bump documentation build-dependencies to 5.7.1.
  * Replace 5.7.1~20161021 with 5.7.1 in the symbols files.
  * Drop one optional symbol from debian/libqt5network5.symbols.
  * Make qtbase5-dev suggest default-libmysqlclient-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove a bogus double hostdatadir entry while configuring Qt. Thanks
    Nick Shaforostoff for the bug! (Closes: 847769).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 14 Dec 2016 17:23:44 +0300

qtbase-opensource-src (5.7.1~20161021+dfsg-6) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Make libqt5network5 depend on libssl1.0.2. It will crash when
    only newer libssl versions are installed.
  * Backport upstream patch to fix build on x32 (fix_build_on_x32.diff).
  * Merge some more entries in the update-copyright script.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 20 Nov 2016 11:28:29 -0300

qtbase-opensource-src (5.7.1~20161021+dfsg-5) unstable; urgency=medium

  * Switch libssl-dev to libssl1.0-dev. We can't yet use libssl 1.1.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 02 Nov 2016 19:09:23 -0300

qtbase-opensource-src (5.7.1~20161021+dfsg-4) unstable; urgency=medium

  * Drop Build-Conflicts: libmariadbclient-dev, should be no longer needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 01 Nov 2016 16:20:07 +0300

qtbase-opensource-src (5.7.1~20161021+dfsg-3) unstable; urgency=medium

  * Change build-dependency libmysqlclient-dev → default-libmysqlclient-dev.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 01 Nov 2016 13:47:12 +0300

qtbase-opensource-src (5.7.1~20161021+dfsg-2) experimental; urgency=medium

  * Backport two patches to add proper support for XDG_CONFIG_DIRS to
    QSettings; needed for LXQt transition (qsettings_simplify_logic.diff,
    qsettings_XDG_CONFIG_DIRS.diff).
  * Configure with -no-use-gold-linker on i386 to work around build failures
    of qtscript and qtgraphicaleffects (see binutils bug #842304).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 28 Oct 2016 17:04:09 +0300

qtbase-opensource-src (5.7.1~20161021+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream snapshot.
  * Drop debian/patches/qdevicediscovery_dummy.diff, applied upstream.
  * Update the copyright script to use a stricter formula for GPL-2 license.
  * Update debian/copyright.
  * Install the qtpng static library in qtbase5-dev (following upstream).
  * Update the symbols files from amd64 build log.
  * Bump qtbase-abi version to 5-7-1.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Require pkg-kde-tools (>= 0.15.17~) to allow using backported versions.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 21 Oct 2016 21:08:52 +0300

qtbase-opensource-src (5.7.0+dfsg-3) experimental; urgency=medium

  * Replace qdevicediscovery_dummy.diff with a proper patch from upstream.
  * Update debian/libqt5dbus5.symbols once again.
  * Mark private symbols using pkgkde-mark-qt5-private-symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 05 Jul 2016 21:10:28 +0300

qtbase-opensource-src (5.7.0+dfsg-2) experimental; urgency=medium

  * Add a patch (qdevicediscovery_dummy.diff) to fix a linking error on
    GNU/kFreeBSD.
  * Add support for ARMv4 architecture, needed to get armel builds working.
  * Update debian/libqt5dbus5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 01 Jul 2016 19:59:52 +0300

qtbase-opensource-src (5.7.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop debian/scripts/migrate-symbols.py, no longer needed.


=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: qtbase-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160114~),
+               default-libmysqlclient-dev,
                dpkg-dev (>= 1.16.1),
+               firebird-dev [kfreebsd-any linux-any],
                freetds-dev,
                gdb,
                libasound2-dev [linux-any],
                libatspi2.0-dev,
                libcups2-dev,
                libdbus-1-dev,
+               libdouble-conversion-dev,
                libfontconfig1-dev,
                libfreetype6-dev,
                libgbm-dev [linux-any kfreebsd-any],
@@ -25,20 +27,19 @@
                libglu1-mesa-dev | libglu-dev,
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
-               libgtk2.0-dev,
+               libgtk-3-dev,
                libharfbuzz-dev,
                libicu-dev,
                libinput-dev [linux-any],
                libjpeg-dev,
                libmtdev-dev [linux-any],
-               libmysqlclient-dev,
                libpcre3-dev,
                libpng-dev,
                libpq-dev,
                libproxy-dev,
                libpulse-dev,
                libsqlite3-dev,
-               libssl-dev,
+               libssl1.0-dev,
                libudev-dev [linux-any],
                libx11-dev,
                libx11-xcb-dev,
@@ -60,14 +61,12 @@
                libxkbcommon-dev,
                libxkbcommon-x11-dev,
                libxrender-dev,
-               pkg-kde-tools (>= 0.15.17),
+               pkg-kde-tools (>= 0.15.17~),
                publicsuffix,
                unixodbc-dev,
-               xvfb,
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.0~),
-                     qttools5-dev-tools (>= 5.6.0~)
-Build-Conflicts: libmariadbclient-dev
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~),
+                     qttools5-dev-tools (>= 5.7.1~)
 Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtbase.git
@@ -77,12 +76,11 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qtbase-abi-5-6-1
+Provides: qtbase-abi-5-7-1
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
-Breaks: libqt5core5 (<< 5.2.0+dfsg~), libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~)
-Replaces: libqt5core5 (<< 5.2.0+dfsg~)
+Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~)
 Description: Qt 5 core module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -94,37 +92,35 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
-Recommends: libqt5svg5, mesa-utils
+Recommends: libqt5svg5, mesa-utils, qt5-gtk-platformtheme
 Breaks: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
         libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
 Replaces: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
           libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
-Suggests: libqt5libqgtk2, qt5-image-formats-plugins, qtwayland5
+Suggests: qt5-image-formats-plugins, qtwayland5
 Description: Qt 5 GUI module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  The QtGui module extends QtCore with GUI functionality.
 
-Package: libqt5libqgtk2
+Package: qt5-gtk-platformtheme
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libqt5gui5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: libqt5gui5 (<< 5.4.1+dfsg-3~)
-Replaces: libqt5gui5 (<< 5.4.1+dfsg-3~)
-Description: Qt 5 GTK2 platform theme
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package provides the GTK2 platform theme, which makes Qt use
+Description: Qt 5 GTK+ 3 platform theme
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package provides the GTK+ 3 platform theme, which makes Qt use
  native icon themes, fonts, and dialogs on GTK-based environments.
 
 Package: libqt5network5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libssl1.0.2, ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 network module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -152,7 +148,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql
+Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql | libqt5sql5-tds | libqt5sql5-ibase [kfreebsd-any linux-any]
 Description: Qt 5 SQL module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -214,6 +210,17 @@
  .
  Install it if you intend to use or write Qt programs that are to access a
  MS SQL or Sybase SQL server.
+
+Package: libqt5sql5-ibase
+Architecture: kfreebsd-any linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 Firebird database driver
+ This package contains the Firebird plugin for Qt 5.
+ .
+ Install it if you intend to use or write Qt programs that are to access a
+ Firebird/InterBase DB.
 
 Package: libqt5xml5
 Architecture: any
@@ -296,7 +303,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
-         libgles2-mesa-dev | libgles2-dev,
+         libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
          libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
          libqt5concurrent5 (= ${binary:Version}),
          libqt5core5a (= ${binary:Version}),
@@ -314,9 +321,10 @@
          qtchooser,
          ${misc:Depends}
 Recommends: libqt5opengl5-dev (= ${binary:Version})
-Suggests: libegl1-mesa-dev,
+Suggests: default-libmysqlclient-dev,
+          firebird-dev,
+          libegl1-mesa-dev,
           libgl1-mesa-dev,
-          libmysqlclient-dev,
           libpq-dev,
           libsqlite3-dev,
           unixodbc-dev
@@ -324,15 +332,3 @@
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the header development files used for building Qt 5
- applications.
- .
- If you are interested in packaging Qt 5 stuff please take a look at
- http://pkg-kde.alioth.debian.org/packagingqtbasedstuff.html
-
-Package: qtbase5-private-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: libinput-dev [linux-any],
-         libxkbcommon-dev,

=== debian/watch ===
version=3
opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtbase-opensource-src-(.*)\.tar\.[xg]z
